/*
 * *********************************************************************************************************************************************
 * "THE BEER-WARE LICENSE" (Revision 42):
 * Mario Hellmich <mario.hellmich@web.de> wrote this file. As long as you retain this
 * notice you can do whatever you want with this stuff. If we meet some day,
 * and you think this stuff is worth it, you can buy me a beer in return.
 * Mario Hellmich
 * *********************************************************************************************************************************************
 * twi.h
 *
 * Version 1.0
 *
 * Created: 01.07.2018
 * Author: Mario Hellmich <mario.hellmich@web.de>
 * Project: HF Receiver Mark 2 Firmware
 *
 * Routines for controlling the TWI bus
 */ 


#ifndef TWI_H_
#define TWI_H_


/* Variables */
// none


/* Functions */
extern void TWI_init(void);
extern void TWI_start(void);
extern void TWI_stop(void);
extern void TWI_write(uint8_t data);
extern uint8_t TWI_read_ACK(void);
extern uint8_t TWI_read_NACK(void);
extern uint8_t TWI_get_status(void);


#endif /* SI5341_H_ */