/*
 * *********************************************************************************************************************************************
 * "THE BEER-WARE LICENSE" (Revision 42):
 * Mario Hellmich <mario.hellmich@web.de> wrote this file. As long as you retain this
 * notice you can do whatever you want with this stuff. If we meet some day,
 * and you think this stuff is worth it, you can buy me a beer in return.
 * Mario Hellmich
 * *********************************************************************************************************************************************
 * encoder.h
 *
 * Version 1.0
 *
 * Created: 01.07.2018
 * Author: Mario Hellmich <mario.hellmich@web.de>
 * Project: HF Receiver Mark 2 Firmware
 *
 * Rotary encoder polling and updating of appropriate globals
 */ 


#ifndef ENCODER_H_
#define ENCODER_H_


/* Variables */
// none


/* Functions */
extern void enc_init(void);
extern int8_t get_enc(void);
extern int32_t get_multiplier(uint8_t tune_mode);
extern void read_enc(void);


#endif /* ENCODER_H_ */